Hello community,

here is the log from the commit of package libqt5-qtspeech for openSUSE:Factory 
checked in at 2017-08-28 15:17:43
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/libqt5-qtspeech (Old)
 and      /work/SRC/openSUSE:Factory/.libqt5-qtspeech.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "libqt5-qtspeech"

Mon Aug 28 15:17:43 2017 rev:2 rq:518874 version:5.9.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/libqt5-qtspeech/libqt5-qtspeech.changes  
2017-08-24 18:33:47.650645020 +0200
+++ /work/SRC/openSUSE:Factory/.libqt5-qtspeech.new/libqt5-qtspeech.changes     
2017-08-28 15:19:07.908145344 +0200
@@ -1,0 +2,6 @@
+Sat Aug 26 09:37:01 UTC 2017 - fab...@ritter-vogt.de
+
+- Run spec-cleaner
+- Remove unnecessary empty private-headers-devel package
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ libqt5-qtspeech.spec ++++++
--- /var/tmp/diff_new_pack.pE7SBX/_old  2017-08-28 15:19:09.495922219 +0200
+++ /var/tmp/diff_new_pack.pE7SBX/_new  2017-08-28 15:19:09.523918285 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libqt5-qtspeech
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,9 +17,11 @@
 
 
 %define qt5_snapshot 0
-
 %define libname libQt5TextToSpeech5
-
+%define base_name libqt5
+%define real_version 5.9.1
+%define so_version 5.5.0
+%define tar_version qtspeech-opensource-src-%{real_version}
 Name:           libqt5-qtspeech
 Version:        5.9.1
 Release:        0
@@ -27,22 +29,17 @@
 License:        LGPL-2.1-with-Qt-Company-Qt-exception-1.1 or 
LGPL-3.0-with-Qt-Company-Qt-exception-1.1
 Group:          Development/Libraries/X11
 Url:            https://www.qt.io
-%define base_name libqt5
-%define real_version 5.9.1
-%define so_version 5.5.0
-%define tar_version qtspeech-opensource-src-%{real_version}
 Source:         
https://download.qt.io/official_releases/qt/5.9/%{real_version}/submodules/%{tar_version}.tar.xz
 Source1:        baselibs.conf
 BuildRequires:  fdupes
 BuildRequires:  libQt5Core-private-headers-devel
 BuildRequires:  libQt5Widgets-devel
 BuildRequires:  libspeechd-devel
-%if %qt5_snapshot
+BuildRequires:  xz
+%if %{qt5_snapshot}
 #to create the forwarding headers
 BuildRequires:  perl
 %endif
-BuildRequires:  xz
-BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 
 %description
 Qt is a set of libraries for developing applications.
@@ -54,11 +51,11 @@
 %prep
 %setup -q -n qtspeech-opensource-src-%{real_version}
 
-%package -n %libname
+%package -n %{libname}
 Summary:        Qt 5 Speech Addon
 Group:          Development/Libraries/X11
 
-%description -n %libname
+%description -n %{libname}
 Qt is a set of libraries for developing applications.
 
 The module enables a Qt application to support accessibility features
@@ -68,26 +65,11 @@
 %package devel
 Summary:        Development files for the Qt5 Speech library
 Group:          Development/Libraries/X11
-Requires:       %libname = %{version}
+Requires:       %{libname} = %{version}
 
 %description devel
 You need this package if you want to compile programs with qtspeech.
 
-%package private-headers-devel
-Summary:        Non-ABI stable experimental API for the Qt5 Speech library
-Group:          Development/Libraries/C and C++
-BuildArch:      noarch
-Requires:       %{name}-devel = %{version}
-Requires:       libQt5Core-private-headers-devel
-Provides:       libQt5TextToSpeech-private-headers-devel
-Obsoletes:      libQt5TextToSpeech-private-headers-devel
-
-%description private-headers-devel
-This package provides private headers of libqt5-qtspeech that are normally
-not used by application development and that do not have any ABI or
-API guarantees. The packages that build against these have to require
-the exact Qt version.
-
 %package examples
 Summary:        Qt5 Speech examples
 Group:          Development/Libraries/X11
@@ -95,12 +77,11 @@
 %description examples
 Examples for the libqt5-qtspeech module.
 
-%post -n %libname -p /sbin/ldconfig
-
-%postun -n %libname -p /sbin/ldconfig
+%post -n %{libname} -p /sbin/ldconfig
+%postun -n %{libname} -p /sbin/ldconfig
 
 %build
-%if %qt5_snapshot
+%if %{qt5_snapshot}
 #force the configure script to generate the forwarding headers (it checks 
whether .git directory exists)
 mkdir .git
 %endif
@@ -113,18 +94,11 @@
 # kill .la files
 rm -f %{buildroot}%{_libqt5_libdir}/lib*.la
 
-%files -n %libname
-%defattr(-,root,root,755)
+%files -n %{libname}
 %{_libqt5_libdir}/libQt5TextToSpeech.so.*
 %{_libqt5_plugindir}/texttospeech/
 
-%files private-headers-devel
-%defattr(-,root,root,755)
-#{_libqt5_includedir}/Qt*/%{so_version}
-
 %files devel
-%defattr(-,root,root,755)
-#exclude %{_libqt5_includedir}/Qt*/%{so_version}
 %{_libqt5_archdatadir}/mkspecs/modules/qt_lib_*.pri
 %{_libqt5_includedir}/Qt*
 %{_libqt5_libdir}/cmake/Qt5TextToSpeech/
@@ -133,7 +107,6 @@
 %{_libqt5_libdir}/pkgconfig/Qt5TextToSpeech.pc
 
 %files examples
-%defattr(-,root,root,755)
 %{_libqt5_examplesdir}/
 
 %changelog


Reply via email to